Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry World

Reply
Trusted Contributor
porcha24
Posts: 148
Registered: ‎05-10-2011
My Carrier: vodafone

upgrading app world

Hi I have a blackberry curve 8520 on vodafone v5 I know that I can upgrade my app world to v5 I have 4.3 installed but not sure where to find it to download can you send me a link please x
Please use plain text.
Forums Advisor III
gutijose14
Posts: 1,251
Registered: ‎07-01-2013
My Carrier: Movilnet

Re: upgrading app world

Hey Porcha24

 

If you want to update the BlackBerry World here I leave the link for download 

Open this link from your mobile:

http://www.blackberry.com/appworld/download

 

Regards.

 

Kudos **Do not forget to give those people who help and advise you regarding your questions, as well give the answer like**

@ gutijose14

Signature by @Gutijose14
Please use plain text.
Trusted Contributor
porcha24
Posts: 148
Registered: ‎05-10-2011
My Carrier: vodafone

Re: upgrading app world

This link just takes me to what I have installed v4.3 is there not a newer version?
Please use plain text.
Elite II
prince2012
Posts: 7,958
Registered: ‎06-01-2012
My Carrier: BSNL

Re: upgrading app world


porcha24 wrote:
This link just takes me to what I have installed v4.3 is there not a newer version?

Hey porcha

 

Currently till date , most recent version available for legacy devices pre BB10 device is BlackBerry App World version 4.3.0.32 . So I think your BlackBerry World is upto date .

___________________________________________________________________________

Click " Like " if you want to Thank someone.
If Problem Resolves mark the post(s) as " Solution ", so that other can make use of it.
Please use plain text.
Trusted Contributor
porcha24
Posts: 148
Registered: ‎05-10-2011
My Carrier: vodafone

Re: upgrading app world

Ok thankyou for your help one more thing, should I have v7 of bbm?
Please use plain text.
Elite II
prince2012
Posts: 7,958
Registered: ‎06-01-2012
My Carrier: BSNL

Re: upgrading app world


porcha24 wrote:
Ok thankyou for your help one more thing, should I have v7 of bbm?

Well.. currently BBM7 is available for your device model , and Installing that version of BlackBerry Messenger depends on your need , If you want those features that are available on BBM7 like wifi calling , integration of BBM contact with our BlackBerry ID where no local backup is needed that you can go for it .

___________________________________________________________________________

Click " Like " if you want to Thank someone.
If Problem Resolves mark the post(s) as " Solution ", so that other can make use of it.
Please use plain text.
New Member
ifeokanmi
Posts: 1
Registered: ‎09-18-2013
My Carrier: 9850

Re: upgrading app world

Pls after upgrading my bbm just wipe off and only to see this blue screen dat just wrote welcome to blackberry and Notin has come up and ve been unable to retrieve my bb messages or ping,or show any icon for bbm pls help me urgently pls
Please use plain text.
Elite II
prince2012
Posts: 7,958
Registered: ‎06-01-2012
My Carrier: BSNL

Re: upgrading app world


ifeokanmi wrote:
Pls after upgrading my bbm just wipe off and only to see this blue screen dat just wrote welcome to blackberry and Notin has come up and ve been unable to retrieve my bb messages or ping,or show any icon for bbm pls help me urgently pls

Hi ifeokanmi

 

Welcome to BlackBerry Support Forums

 

After Updating BBM it wiped what ? 

 

Have you tried to Re-install BBM again ? Delete BBM from your device and then use your BlackBerry Browser and browse through this link  www.blackberry.com/bbmdownload  and download the most recent available for your device model. 

 

Can you try that again !

 

 

___________________________________________________________________________

Click " Like " if you want to Thank someone.
If Problem Resolves mark the post(s) as " Solution ", so that other can make use of it.
Please use plain text.